<?php


function wsRequestGet($url)
{
    set_time_limit(30);

    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 5);
    curl_setopt($ch, CURLOPT_TIMEOUT, 30); //timeout in seconds
    $json = curl_exec($ch);
    $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    if ($httpcode == "200"){
        //nothing YET
    }else{
        $json= array('error'=>'Y','jsonError'=>$httpcode,'message'=>$httpcode);
    }

    return $json;
}

function wsRequestPost($url,$params)
{
    set_time_limit(30);
    $ch = curl_init($url);
    $postFields = json_encode($params);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 5);
    curl_setopt($ch, CURLOPT_TIMEOUT, 60); //timeout in seconds
    curl_setopt($ch, CURLOPT_HTTPHEADER, array("Content-Type: application/json;"));
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS,$postFields);
//    curl_setopt($ch, CURLOPT_VERBOSE, 1);
//    curl_setopt($ch, CURLOPT_HEADER, 1);

    $json = curl_exec($ch);
    $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    if ($httpcode == "200"){
        return json_decode($json,true);
    }else{
        $json = array('error'=>'Y','jsonError'=>$httpcode,'message'=>$httpcode);
    }

    return $json;
}

function atipay_message($key){
    $lang = array('atipay_main_title' => 'درگاه پرداخت آتی‌پِی',
        'atigate'=>'آتی‌گیت',
        'IRR'=>'ریال',
        'IRT'=>'تومان',
        'IRHR'=>'هزار ریال',
        'IRHT'=>'هزار تومان',
        'atipay_setting'=>'تنظیمات  آتی‌گیت :: فروشگاه ساز ووکامرس',

        'basic_setting' => 'تنظیمات پایه ای',
        'status' => 'وضعیت',
        'activate_atigate' => 'فعالسازی آتی‌گیت',
        'activate_atigate_desc' => 'برای فعالسازی آتی‌گیت باید چک باکس را تیک بزنید',
        'title' => 'عنوان',
        'atigate_title_purchase' => 'عنوانی که در طی خرید به مشتری نمایش داده میشود',
        'desc' => 'توضیحات ',
        'atipay_title_processing' => 'توضیحاتی که در طی عملیات پرداخت برای درگاه نمایش داده خواهد شد',
        'atigate_title_secure' => 'پرداخت امن به وسیله کلیه کارت های عضو شتاب از طریق آتی‌گیت',
        'setting' => 'تنظیمات ',
        'atigate_apikey' => 'API Key',
        'atipay_apikey_desc' => 'AtiGate API Key',
        'atigate_activate' => 'فعالسازی آتی‌گیت',
        'atigate_activate_desc' => 'برای فعالسازی آتی‌گیت باید چک باکس را تیک بزنید',
        'payment_setting' => 'تنظیمات عملیات پرداخت',
        'sm' => 'پیام پرداخت موفق',
        'sm_desc' => 'پیامی که می‌خواهید بعد از پرداخت موفق به مشتری نمایش دهید',
        'sm_default' => ' سفارش شما با موفقیت پرداخت شد',
        'fm' => 'پیام پرداخت ناموفق',
        'fm_desc' => ' پیامی که می‌خواهید بعد از خطا در پرداخت به مشتری نمایش دهید .',
        'fm_default' => 'پرداخت شما ناموفق بوده است .',
        'token_error'=>'خطا در دریافت توکن',
        'no_order_found'=>'سفارشی یافت نشد.',
        'price_in_toman'=>'مبلغ محصولات به تومان ؟',
        'price_in_toman_desc'=>'در صورتیکه مبلغ سایت به تومان می باشد این گزینه را انتخاب کنید',
        'amount_is_not_equal'=>'تایید پرداخت انجام نشد.',
        'success_payment'=>'پرداخت با موفقیت انجام شد .<br/> کد رهگیری : %s',
        'auto_redirect_desc'=>'ارسال خودکار مشتری به درگاه پس از اتمام مراحل سفارش',
        'auto_redirect'=>'ارسال خودکار به صفحه پرداخت',
    );

    if (array_key_exists($key,$lang)){
        return $lang[$key];
    }else{
        return $key;
    }
}



?>